defmodule DecentralisedBookIndex.Secrets do
  use AshAuthentication.Secret

  def secret_for(
        [:authentication, :tokens, :signing_secret],
        DecentralisedBookIndex.Accounts.User,
        _opts
      ) do
    Application.fetch_env(:decentralised_book_index, :token_signing_secret)
  end
end
